<div class="card">
  <div class="card-header">
    <h4>Edit Profile <% resource_name.to_s.humanize %></h4>
  </div>
  <div class="card-body">
    <p class="card-text">
      <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
        <%= render "devise/shared/error_messages", resource: resource %>

        <div class="field form-group">
          <% f.label :email %><br />
          <%= f.email_field :email, class: "form-control", placeholder: "Email", autofocus: true, autocomplete: "email" %>
        </div>

        <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
          <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
        <% end %>

        <div class="field form-group">
          <% f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
          <%= f.password_field :password, class: "form-control", placeholder: "Password", autocomplete: "new-password" %>
          <% if @minimum_password_length %>
            <em><%= @minimum_password_length %> characters minimum</em>
          <% end %>
        </div>

        <div class="field form-group">
          <% f.label :password_confirmation %><br />
          <%= f.password_field :password_confirmation, class: "form-control", placeholder: "Password", autocomplete: "new-password" %>
        </div>

        <div class="field form-group">
          <% f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
          <%= f.password_field :current_password, class: "form-control", placeholder: "Current password", autocomplete: "current-password" %>
        </div>
        <br/>
        <div class="actions">
          <%= f.submit "Update", class: "btn btn-secondary" %>
        </div>
      <% end %>
    </p>
  </div>
</div>




<br/><br/>

<div class="card" style="width: 18rem;">
  <div class="card-body">
    <h5 class="card-title">Cancel my account</h5>
    <p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn btn-danger card-link" %></p>
  </div>
</div>
<br/>
<%= link_to "Back", :back, class: "card-link" %>

